Error mysql_upgrade en XAMPP 7.3.7 | Fedora 30


En la última actualización de XAMPP 7.3.7, al intentar montar mis bases dedatos normales, me saltó el siguiente error:

El cual indica que hay que ejecutar el comando mysql_upgrade, pero desde dónde?, cómo? cuáles parámetros, en fin, después de haber indagado en la red, por fin pude resolver el problema:

Abrir la terminal, ir al directorio:

cd /opt/lampp/bin/

Una vez ahí, ejecutar el comando:

sudo ./mysql_upgrade

Suponiendo que usen contraseña para la ejecución de xampp, entonces es necesario especificar el usuario y la contraseña

sudo ./mysql_upgrade -uuser -ppassword

Ejecutar el comando, y listo

Imagen 3

La terminal mostrará un proceso similar a la imagen 3

Comentarios:

@